# Uses of Interface
org.springframework.web.util.UriBuilderFactory

Packages that use UriBuilderFactory
Package
Description
org.springframework.web.client
Core package of the client-side web support.
org.springframework.web.service.invoker
Support for creating a client proxy for an HTTP service annotated with `HttpExchange` methods.
org.springframework.web.util
Miscellaneous web utility classes, such as HTML escaping and cookie handling.

## Uses of UriBuilderFactory in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type UriBuilderFactory
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`uriBuilderFactory(UriBuilderFactory uriBuilderFactory)`
Provide a pre-configured `UriBuilderFactory` instance.

## Uses of UriBuilderFactory in org.springframework.web.service.invoker

Methods in org.springframework.web.service.invoker that return UriBuilderFactory
Modifier and Type
Method
Description
`UriBuilderFactory`
HttpRequestValues.`getUriBuilderFactory()`
Return the `UriBuilderFactory` to expand the `HttpRequestValues.uriTemplate` and `HttpRequestValues.getUriVariables()` with.
Methods in org.springframework.web.service.invoker with parameters of type UriBuilderFactory
Modifier and Type
Method
Description
`protected HttpRequestValues`
HttpRequestValues.Builder.`createRequestValues(HttpMethod httpMethod, URI uri, UriBuilderFactory uriBuilderFactory, String uriTemplate, Map<String,String> uriVars, HttpHeaders headers, org.springframework.util.MultiValueMap<String,String> cookies, Map<String,Object> attributes, Object bodyValue)`
Create `HttpRequestValues` from values passed to the `HttpRequestValues.Builder`.
`protected ReactiveHttpRequestValues`
ReactiveHttpRequestValues.Builder.`createRequestValues(HttpMethod httpMethod, URI uri, UriBuilderFactory uriBuilderFactory, String uriTemplate, Map<String,String> uriVars, HttpHeaders headers, org.springframework.util.MultiValueMap<String,String> cookies, Map<String,Object> attributes, Object bodyValue)`
`HttpRequestValues.Builder`
HttpRequestValues.Builder.`setUriBuilderFactory(UriBuilderFactory uriBuilderFactory)`
Set the `UriBuilderFactory` that will be used to expand the `HttpRequestValues.Builder.getUriTemplate()`.
`ReactiveHttpRequestValues.Builder`
ReactiveHttpRequestValues.Builder.`setUriBuilderFactory(UriBuilderFactory uriBuilderFactory)`
Constructors in org.springframework.web.service.invoker with parameters of type UriBuilderFactory
Modifier
Constructor
Description
`protected`
`HttpRequestValues(HttpMethod httpMethod, URI uri, UriBuilderFactory uriBuilderFactory, String uriTemplate, Map<String,String> uriVariables, HttpHeaders headers, org.springframework.util.MultiValueMap<String,String> cookies, Map<String,Object> attributes, Object bodyValue)`
Construct `HttpRequestValues`.

## Uses of UriBuilderFactory in org.springframework.web.util

Classes in org.springframework.web.util that implement UriBuilderFactory
Modifier and Type
Class
Description
`class`
`DefaultUriBuilderFactory`
`UriBuilderFactory` that relies on `UriComponentsBuilder` for the actual building of the URI.